<?php

declare(strict_types=1);

namespace PpPhp\Core\Discovery\Providers;

final class PluginDiscoveryProvider extends AbstractManifestDiscoveryProvider
{
    public function id(): string
    {
        return 'plugins';
    }

    public function label(): string
    {
        return 'Plugins';
    }

    protected function relativeRoot(): string
    {
        return 'plugins';
    }

    protected function manifestName(): string
    {
        return 'plugin.json';
    }

    protected function type(): string
    {
        return 'plugin';
    }
}
